BUGFIX: New blockMesh can create mixing plane BC directly. Removed a-posteriori change of boundary definition from Allrun, updated Allclean and removed boundary.preconfigured from tutorials. Author: Dominik Christ. Merge: Dominik Christ

This commit is contained in:
Dominik Christ 2014-08-01 15:47:01 +01:00
commit 7f26c1b7c3
21 changed files with 16 additions and 9205 deletions

View file

@ -4,58 +4,14 @@
. $WM_PROJECT_DIR/bin/tools/RunFunctions
# Load additional RunFunctions
. ./RunFunctionsSupplemental
runApplication blockMesh
export caseName=`basename $PWD`
runApplication setSet -batch setBatch
runApplication setsToZones -noFlipMap
#We stop this script when we encounter a problem
#trap "exit -1" ERR
echo "$caseName: Running blockMesh"
runApplicationAndReportOnError blockMesh
echo "$caseName: Updating the boundary file"
# Let's see if pyFoamChangeMixingPlaneBoundary.py is available
command -v pyFoamChangeMixingPlaneBoundary.py >/dev/null
if [ $? -eq 0 ];
then
echo "Using pyFoamChangeMixingPlaneBoundary.py"
pyFoamChangeMixingPlaneBoundary.py . mixpLeftOut \
--shadowPatch mixpRightIn \
--zone mixpLeftOutZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Y \
--ribbonPatchSweepAxis Z \
--coordinateSystemType coordinateSystem \
--coordinateSystemOrigin "(0 0 0.005)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
pyFoamChangeMixingPlaneBoundary.py . mixpRightIn \
--shadowPatch mixpLeftOut \
--zone mixpRightInZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Y \
--ribbonPatchSweepAxis Z \
--coordinateSystemType coordinateSystem \
--coordinateSystemOrigin "(0 0 0.005)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
else
echo "pyFoamChangeMixingPlaneBoundary.py is missing. Using the file constant/polyMesh/boundary.preconfigured"
cp constant/polyMesh/boundary.preconfigured constant/polyMesh/boundary
fi
echo "$caseName: Creating zones for the mixingPlane"
runApplicationAndReportOnError setSet -batch setBatch
runApplicationAndReportOnError setsToZones -noFlipMap
echo "$caseName: Creating the starting time directory"
cp -r 0_orig 0
echo "$caseName: Running icoFoam"
runApplicationAndReportOnError icoFoam
runApplication icoFoam

View file

@ -1,97 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class polyBoundaryMesh;
location "constant/polyMesh";
object boundary;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
7
(
top
{
type wall;
nFaces 20;
startFace 227;
}
bottom
{
type wall;
nFaces 20;
startFace 247;
}
leftIn
{
type patch;
nFaces 10;
startFace 267;
}
mixpLeftOut
{
type mixingPlane;
nFaces 10;
startFace 277;
shadowPatch mixpRightIn;
zone mixpLeftOutZone;
orientation dirY_spanZ;
assembly both;
coordinateSystem
{
type coordinateSystem;
origin (0 0 0.005);
axis (0 0 1);
direction (1 0 0);
}
ribbonPatch
{
discretisation bothPatches;
stackAxis Y;
sweepAxis Z;
}
}
mixpRightIn
{
type mixingPlane;
nFaces 3;
startFace 287;
shadowPatch mixpLeftOut;
zone mixpRightInZone;
orientation dirY_spanZ;
assembly both;
coordinateSystem
{
type coordinateSystem;
origin (0 0 0.005);
axis (0 0 1);
direction (1 0 0);
}
ribbonPatch
{
discretisation bothPatches;
stackAxis Y;
sweepAxis Z;
} }
rightOut
{
type patch;
nFaces 3;
startFace 290;
}
frontAndBack
{
type empty;
nFaces 260;
startFace 293;
}
)
// ************************************************************************* //

View file

@ -3,304 +3,14 @@
#set -x
. $WM_PROJECT_DIR/bin/tools/RunFunctions
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | foam-extend: Open Source CFD
# \\ / O peration |
# \\ / A nd | For copyright notice see file Copyright
# \\/ M anipulation |
#------------------------------------------------------------------------------
# License
# This file is part of foam-extend.
#
# foam-extend is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# foam-extend is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with foam-extend. If not, see <http://www.gnu.org/licenses/>.
#
# Description
# Additionnal run functions, based on the original RunFunctions file
#
# Author:
# Martin Beaudoin, Hydro-Quebec, 2010. All rights reserved
#
#------------------------------------------------------------------------------
runApplication blockMesh
# Exception handler: dump the tail of the log file on error
verbose_report_on_runApplication_error()
{
ecode=$?
if [ "$reportOnErrorOnlyOnce" ] ; then
echo " "
echo " => Error running $APP_RUN..."
echo " => Here are the last 50 lines of the log file log.$APP_RUN..."
echo " "
if [ -f log.$APP_RUN ] ; then
tail -50 log.$APP_RUN
exit $ecode;
fi
fi
runApplication setSet -batch setBatch
runApplication setsToZones -noFlipMap
# Do not report again when exiting
unset reportOnErrorOnlyOnce
}
# Variation of runApplication with exception handling
runApplicationAndReportOnError ()
{
trap 'verbose_report_on_runApplication_error' ERR
LOG_NAME=
while getopts "l:" OPTFLAG ; do
LOG_NAME=$OPTARG
shift $((OPTIND-1)) ; OPTIND=1
done
APP_RUN=$1; shift
APP_NAME=${APP_RUN##*/}
if [ -z $LOG_NAME ] ; then
LOG_NAME=log.$APP_NAME
fi
reportOnErrorOnlyOnce=1
if [ -f $LOG_NAME ] ; then
echo "$APP_NAME already run on $PWD: remove log file to run"
exit 1;
else
echo "Running $APP_NAME on $PWD"
$APP_RUN $* > $LOG_NAME 2>&1
fi
}
# We force the display of a stack trace if we encounter problems
export FOAM_ABORT=1
# Load additional RunFunctions
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | foam-extend: Open Source CFD
# \\ / O peration |
# \\ / A nd | For copyright notice see file Copyright
# \\/ M anipulation |
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
# Description
# Additionnal run functions, based on the original RunFunctions file
#
# Author:
# Martin Beaudoin, Hydro-Quebec, 2010. All rights reserved
#
#------------------------------------------------------------------------------
# Exception handler: dump the tail of the log file on error
verbose_report_on_runApplication_error()
{
ecode=$?
if [ "$reportOnErrorOnlyOnce" ] ; then
echo " "
echo " => Error running $APP_RUN..."
echo " => Here are the last 50 lines of the log file log.$APP_RUN..."
echo " "
if [ -f log.$APP_RUN ] ; then
tail -50 log.$APP_RUN
exit $ecode;
fi
fi
# Do not report again when exiting
unset reportOnErrorOnlyOnce
}
# Variation of runApplication with exception handling
runApplicationAndReportOnError ()
{
trap 'verbose_report_on_runApplication_error' ERR
LOG_NAME=
while getopts "l:" OPTFLAG ; do
LOG_NAME=$OPTARG
shift $((OPTIND-1)) ; OPTIND=1
done
APP_RUN=$1; shift
APP_NAME=${APP_RUN##*/}
if [ -z $LOG_NAME ] ; then
LOG_NAME=log.$APP_NAME
fi
reportOnErrorOnlyOnce=1
if [ -f $LOG_NAME ] ; then
echo "$APP_NAME already run on $PWD: remove log file to run"
exit 1;
else
echo "Running $APP_NAME on $PWD"
$APP_RUN $* > $LOG_NAME 2>&1
fi
}
# We force the display of a stack trace if we encounter problems
export FOAM_ABORT=1
. ./RunFunctionsSupplemental
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | foam-extend: Open Source CFD
# \\ / O peration |
# \\ / A nd | For copyright notice see file Copyright
# \\/ M anipulation |
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
# Description
# Additionnal run functions, based on the original RunFunctions file
#
# Author:
# Martin Beaudoin, Hydro-Quebec, 2010. All rights reserved
#
#------------------------------------------------------------------------------
# Exception handler: dump the tail of the log file on error
verbose_report_on_runApplication_error()
{
ecode=$?
if [ "$reportOnErrorOnlyOnce" ] ; then
echo " "
echo " => Error running $APP_RUN..."
echo " => Here are the last 50 lines of the log file log.$APP_RUN..."
echo " "
if [ -f log.$APP_RUN ] ; then
tail -50 log.$APP_RUN
exit $ecode;
fi
fi
# Do not report again when exiting
unset reportOnErrorOnlyOnce
}
# Variation of runApplication with exception handling
runApplicationAndReportOnError ()
{
trap 'verbose_report_on_runApplication_error' ERR
LOG_NAME=
while getopts "l:" OPTFLAG ; do
LOG_NAME=$OPTARG
shift $((OPTIND-1)) ; OPTIND=1
done
APP_RUN=$1; shift
APP_NAME=${APP_RUN##*/}
if [ -z $LOG_NAME ] ; then
LOG_NAME=log.$APP_NAME
fi
reportOnErrorOnlyOnce=1
if [ -f $LOG_NAME ] ; then
echo "$APP_NAME already run on $PWD: remove log file to run"
exit 1;
else
echo "Running $APP_NAME on $PWD"
$APP_RUN $* > $LOG_NAME 2>&1
fi
}
# We force the display of a stack trace if we encounter problems
export FOAM_ABORT=1
export caseName=`basename $PWD`
#We stop this script when we encounter a problem
#trap "exit -1" ERR
echo "$caseName: Running blockMesh"
runApplicationAndReportOnError blockMesh
echo "$caseName: Updating the boundary file"
# Let's see if pyFoamChangeMixingPlaneBoundary.py is available
command -v pyFoamChangeMixingPlaneBoundary.py >/dev/null
if [ $? -eq 0 ];
then
echo "Using pyFoamChangeMixingPlaneBoundary.py"
pyFoamChangeMixingPlaneBoundary.py . mixpLeftOut \
--shadowPatch mixpRightIn \
--zone mixpLeftOutZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Y \
--ribbonPatchSweepAxis Z \
--coordinateSystemType coordinateSystem \
--coordinateSystemOrigin "(0 0 0.005)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
pyFoamChangeMixingPlaneBoundary.py . mixpRightIn \
--shadowPatch mixpLeftOut \
--zone mixpRightInZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Y \
--ribbonPatchSweepAxis Z \
--coordinateSystemType coordinateSystem \
--coordinateSystemOrigin "(0 0 0.005)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
else
echo "pyFoamChangeMixingPlaneBoundary.py is missing. Using the file constant/polyMesh/boundary.preconfigured"
cp constant/polyMesh/boundary.preconfigured constant/polyMesh/boundary
fi
echo "$caseName: Creating zones for the mixingPlane"
runApplicationAndReportOnError setSet -batch setBatch
runApplicationAndReportOnError setsToZones -noFlipMap
echo "$caseName: Creating the starting time directory"
cp -r 0_orig 0
echo "$caseName: Running icoFoam"
runApplicationAndReportOnError icoFoam
runApplication icoFoam

View file

@ -1,98 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class polyBoundaryMesh;
location "constant/polyMesh";
object boundary;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
7
(
top
{
type wall;
nFaces 20;
startFace 360;
}
bottom
{
type wall;
nFaces 20;
startFace 380;
}
leftIn
{
type patch;
nFaces 10;
startFace 400;
}
mixpLeftOut
{
type mixingPlane;
nFaces 10;
startFace 410;
shadowPatch mixpRightIn;
zone mixpLeftOutZone;
orientation dirY_spanZ;
assembly both;
coordinateSystem
{
type coordinateSystem;
origin (0 0 0.005);
axis (0 0 1);
direction (1 0 0);
}
ribbonPatch
{
sweepAxis Z;
stackAxis Y;
discretisation bothPatches;
}
}
mixpRightIn
{
type mixingPlane;
nFaces 10;
startFace 420;
shadowPatch mixpLeftOut;
zone mixpRightInZone;
orientation dirY_spanZ;
assembly both;
coordinateSystem
{
type coordinateSystem;
origin (0 0 0.005);
axis (0 0 1);
direction (1 0 0);
}
ribbonPatch
{
discretisation bothPatches;
stackAxis Y;
sweepAxis Z;
}
}
rightOut
{
type patch;
nFaces 10;
startFace 430;
}
frontAndBack
{
type empty;
nFaces 400;
startFace 440;
}
)
// ************************************************************************* //

View file

@ -4,58 +4,13 @@
. $WM_PROJECT_DIR/bin/tools/RunFunctions
# Load additional RunFunctions
. ./RunFunctionsSupplemental
runApplication blockMesh
export caseName=`basename $PWD`
runApplication setSet -batch setBatch
runApplication setsToZones -noFlipMap
#We stop this script when we encounter a problem
#trap "exit -1" ERR
echo "$caseName: Running blockMesh"
runApplicationAndReportOnError blockMesh
echo "$caseName: Updating the boundary file"
# Let's see if pyFoamChangeMixingPlaneBoundary.py is available
command -v pyFoamChangeMixingPlaneBoundary.py >/dev/null
if [ $? -eq 0 ];
then
echo "Using pyFoamChangeMixingPlaneBoundary.py"
pyFoamChangeMixingPlaneBoundary.py . mixpLeftOut \
--shadowPatch mixpRightIn \
--zone mixpLeftOutZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Z \
--ribbonPatchSweepAxis Y \
--coordinateSystemType coordinateSystem \
--coordinateSystemOrigin "(0 0 0.005)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
pyFoamChangeMixingPlaneBoundary.py . mixpRightIn \
--shadowPatch mixpLeftOut \
--zone mixpRightInZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Z \
--ribbonPatchSweepAxis Y \
--coordinateSystemType coordinateSystem \
--coordinateSystemOrigin "(0 0 0.005)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
else
echo "pyFoamChangeMixingPlaneBoundary.py is missing. Using the file constant/polyMesh/boundary.preconfigured"
cp constant/polyMesh/boundary.preconfigured constant/polyMesh/boundary
fi
echo "$caseName: Creating zones for the mixingPlane"
runApplicationAndReportOnError setSet -batch setBatch
runApplicationAndReportOnError setsToZones -noFlipMap
echo "$caseName: Creating the starting time directory"
cp -r 0_orig 0
echo "$caseName: Running icoFoam"
runApplicationAndReportOnError icoFoam
runApplication icoFoam

View file

@ -1,98 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class polyBoundaryMesh;
location "constant/polyMesh";
object boundary;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
7
(
top
{
type wall;
nFaces 20;
startFace 360;
}
bottom
{
type wall;
nFaces 20;
startFace 380;
}
leftIn
{
type patch;
nFaces 10;
startFace 400;
}
mixpLeftOut
{
type mixingPlane;
nFaces 10;
startFace 410;
shadowPatch mixpRightIn;
zone mixpLeftOutZone;
orientation dirZ_spanY;
assembly both;
coordinateSystem
{
type coordinateSystem;
origin (0 0 0.005);
axis (0 0 1);
direction (1 0 0);
}
ribbonPatch
{
sweepAxis Y;
stackAxis Z;
discretisation bothPatches;
}
}
mixpRightIn
{
type mixingPlane;
nFaces 10;
startFace 420;
shadowPatch mixpLeftOut;
zone mixpRightInZone;
orientation dirZ_spanY;
assembly both;
coordinateSystem
{
type coordinateSystem;
origin (0 0 0.005);
axis (0 0 1);
direction (1 0 0);
}
ribbonPatch
{
discretisation bothPatches;
stackAxis Z;
sweepAxis Y;
}
}
rightOut
{
type patch;
nFaces 10;
startFace 430;
}
frontAndBack
{
type empty;
nFaces 400;
startFace 440;
}
)
// ************************************************************************* //

File diff suppressed because it is too large Load diff

View file

@ -1,73 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object epsilon;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 2 -3 0 0 0 0];
internalField uniform 0.1;
boundaryField
{
outflow
{
type zeroGradient;
}
inflow
{
type fixedValue;
value uniform 0.1;
}
upstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
upstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
upstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
downstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
downstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
}
// ************************************************************************* //

View file

@ -1,73 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object k;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 2 -2 0 0 0 0];
internalField uniform 0.1;
boundaryField
{
outflow
{
type zeroGradient;
}
inflow
{
type fixedValue;
value uniform 0.01;
}
upstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
upstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
upstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
downstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
downstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
}
// ************************************************************************* //

View file

@ -1,74 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object nut;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 2 -1 0 0 0 0];
internalField uniform 0;
boundaryField
{
outflow
{
type calculated;
value uniform 0;
}
inflow
{
type calculated;
value uniform 0;
}
upstreamPerio1
{
type cyclicGgi;
value uniform 0;
}
upstreamPerio2
{
type cyclicGgi;
value uniform 0;
}
upstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0;
}
downstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
downstreamPerio1
{
type cyclicGgi;
value uniform 0;
}
downstreamPerio2
{
type cyclicGgi;
value uniform 0;
}
}
// ************************************************************************* //

View file

@ -1,68 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object p;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 0 2 -2 0 0 0 0 ];
internalField uniform 0;
boundaryField
{
downstreamMixingPlanePatch
{
type mixingPlane;
}
upstreamMixingPlanePatch
{
type mixingPlane;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
upstreamPerio1
{
type cyclicGgi;
}
upstreamPerio2
{
type cyclicGgi;
}
downstreamPerio1
{
type cyclicGgi;
}
downstreamPerio2
{
type cyclicGgi;
}
inflow
{
type zeroGradient;
}
outflow
{
type fixedValue;
value uniform 0;
}
}
// ************************************************************************* //

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

View file

@ -1,73 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object epsilon;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 2 -3 0 0 0 0];
internalField uniform 0.1;
boundaryField
{
outflow
{
type zeroGradient;
}
inflow
{
type fixedValue;
value uniform 0.1;
}
upstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
upstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
upstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
downstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
downstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
}
// ************************************************************************* //

View file

@ -1,73 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object k;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 2 -2 0 0 0 0];
internalField uniform 0.1;
boundaryField
{
outflow
{
type zeroGradient;
}
inflow
{
type fixedValue;
value uniform 0.01;
}
upstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
upstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
upstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0.1;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
downstreamPerio1
{
type cyclicGgi;
value uniform 0.1;
}
downstreamPerio2
{
type cyclicGgi;
value uniform 0.1;
}
}
// ************************************************************************* //

View file

@ -1,74 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object nut;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 2 -1 0 0 0 0];
internalField uniform 0;
boundaryField
{
outflow
{
type calculated;
value uniform 0;
}
inflow
{
type calculated;
value uniform 0;
}
upstreamPerio1
{
type cyclicGgi;
value uniform 0;
}
upstreamPerio2
{
type cyclicGgi;
value uniform 0;
}
upstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0;
}
downstreamMixingPlanePatch
{
type mixingPlane;
value uniform 0;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
downstreamPerio1
{
type cyclicGgi;
value uniform 0;
}
downstreamPerio2
{
type cyclicGgi;
value uniform 0;
}
}
// ************************************************************************* //

View file

@ -1,68 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0";
object p;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 0 2 -2 0 0 0 0 ];
internalField uniform 0;
boundaryField
{
downstreamMixingPlanePatch
{
type mixingPlane;
}
upstreamMixingPlanePatch
{
type mixingPlane;
}
downstreamWall
{
type symmetryPlane;
}
upstreamWall
{
type symmetryPlane;
}
upstreamPerio1
{
type cyclicGgi;
}
upstreamPerio2
{
type cyclicGgi;
}
downstreamPerio1
{
type cyclicGgi;
}
downstreamPerio2
{
type cyclicGgi;
}
inflow
{
type zeroGradient;
}
outflow
{
type fixedValue;
value uniform 0;
}
}
// ************************************************************************* //

File diff suppressed because it is too large Load diff

View file

@ -4,7 +4,5 @@
. $WM_PROJECT_DIR/bin/tools/CleanFunctions
cleanCase
\rm -rf *.py
\rm -f constant/polyMesh/boundary
\rm -rf 0
\cp -r 0.orig 0
\rm constant/polyMesh/blockMeshDict constant/polyMesh/boundary
\rm -r 0

View file

@ -7,75 +7,13 @@ echo "$caseName: Creating the file blockMeshDict using m4"
runApplication blockMesh
echo "$caseName: Updating the boundary file"
# Let's see if pyFoamChangeMixingPlaneBoundary.py is available
command -v pyFoamChangeMixingPlaneBoundary.py >/dev/null
if [ $? -eq 0 ];
then
echo "Using pyFoamChangeMixingPlaneBoundary.py"
pyFoamChangeMixingPlaneBoundary.py . upstreamMixingPlanePatch \
--shadowPatch downstreamMixingPlanePatch \
--zone upstreamMixingPlaneZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Z \
--ribbonPatchSweepAxis Theta \
--coordinateSystemType cylindrical \
--coordinateSystemOrigin "(0 0 0)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
pyFoamChangeMixingPlaneBoundary.py . downstreamMixingPlanePatch \
--shadowPatch upstreamMixingPlanePatch \
--zone downstreamMixingPlaneZone \
--ribbonPatchDiscretisation bothPatches \
--ribbonPatchStackAxis Z \
--ribbonPatchSweepAxis Theta \
--coordinateSystemType cylindrical \
--coordinateSystemOrigin "(0 0 0)" \
--coordinateSystemE1 "(1 0 0)" \
--coordinateSystemE3 "(0 0 1)"
echo "Using pyFoamChangeGGIBoundary.py"
pyFoamChangeGGIBoundary.py . upstreamPerio1 \
--shadowPatch upstreamPerio2 \
--rotationAxis "(0 0 1)" \
--rotationAngle 36 \
--zone upstreamPerio1Zone
pyFoamChangeGGIBoundary.py . upstreamPerio2 \
--shadowPatch upstreamPerio1 \
--rotationAxis "(0 0 1)" \
--rotationAngle -36 \
--zone upstreamPerio2Zone
pyFoamChangeGGIBoundary.py . downstreamPerio1 \
--shadowPatch downstreamPerio2 \
--rotationAxis "(0 0 1)" \
--rotationAngle 90 \
--zone downstreamPerio1Zone
pyFoamChangeGGIBoundary.py . downstreamPerio2 \
--shadowPatch downstreamPerio1 \
--rotationAxis "(0 0 1)" \
--rotationAngle -90 \
--zone downstreamPerio2Zone
else
echo "pyFoamChangeMixingPlaneBoundary.py is missing. Using the file constant/polyMesh/boundary.preconfigured"
cp constant/polyMesh/boundary.preconfigured constant/polyMesh/boundary
fi
echo "$caseName: Creating the starting time directory"
cp -r save 0
echo "$caseName: Creating zones for the mixingPlane"
runApplication setSet -batch setBatch.batch
runApplication setsToZones -noFlipMap
echo "$caseName: Running potentialFoam"
cp -r save 0
runApplication potentialFoam
echo "$caseName: Running simpleFoam"
runApplication simpleFoam

View file

@ -1,269 +0,0 @@
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | foam-extend: Open Source CFD |
| \\ / O peration | Version: 3.1 |
| \\ / A nd | Web: http://www.extend-project.de |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class dictionary;
object blockMeshDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
//process this file using: m4 -P blockMeshDict.m4 > blockMeshDict
//m4 definitions -----------------------------
//Geometry -----------------------------------
// 2 planes levels
// Angle span for inner block
// Angle span for outer block
// Radial dimensions
// Mesh parameters
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
convertToMeters 1;
vertices
(
//Plane A:
//Bottom of curved block
(0.499999999999998 0.86602540378444 0.0) // Vertex A0 = 0
(0.999999999999996 1.73205080756888 0.0) // Vertex A1 = 1
(-0.866025403784436 0.500000000000004 0.0) // Vertex A2 = 2
(-1.73205080756887 1.00000000000001 0.0) // Vertex A3 = 3
//Plane B:
//Top of curved block
(0.499999999999998 0.86602540378444 0.1) // Vertex B0 = 4
(0.999999999999996 1.73205080756888 0.1) // Vertex B1 = 5
(-0.866025403784436 0.500000000000004 0.1) // Vertex B2 = 6
(-1.73205080756887 1.00000000000001 0.1) // Vertex B3 = 7
//Plane A: Bottom of straight block
(1.99238939618349 0.174311485495316 0.0) // Vertex B4 = 8
(2.98858409427524 0.261467228242975 0.0) // Vertex B5 = 9
(1.50941916044554 1.31211805798101 0.0) // Vertex B6 = 10
(2.26412874066832 1.96817708697152 0.0) // Vertex B7 = 11
//Plane B: Top of straight block
(1.99238939618349 0.174311485495316 0.1) // Vertex C0 = 12
(2.98858409427524 0.261467228242975 0.1) // Vertex C1 = 13
(1.50941916044554 1.31211805798101 0.1) // Vertex C2 = 14
(2.26412874066832 1.96817708697152 0.1) // Vertex C3 = 15
);
blocks
(
hex ( 0 1 3 2 4 5 7 6 ) (25 17 1) simpleGrading (1 1 1.0)
hex ( 8 9 11 10 12 13 15 14 ) (25 27 1) simpleGrading (1 1 1.0)
);
edges
(
// --- PLANE A: Bottom of curved block
arc 0 2 (-0.25881904510252 0.965925826289069 0.0)
arc 1 3 (-0.517638090205039 1.93185165257814 0.0)
// --- PLANE B: Top of curved block
arc 4 6 (-0.25881904510252 0.965925826289069 0.1)
arc 5 7 (-0.517638090205039 1.93185165257814 0.1)
// --- PLANE A: Bottom of straight block
arc 8 10 (1.84100970690488 0.781462256978547 0.0)
arc 9 11 (2.76151456035732 1.17219338546782 0.0)
// --- PLANE B: Top of straight block
arc 12 14 (1.84100970690488 0.781462256978547 0.1)
arc 13 15 (2.76151456035732 1.17219338546782 0.1)
);
boundary
(
outflow
{
type patch;
faces
(
(9 11 15 13)
);
}
inflow
{
type patch;
faces
(
(0 4 6 2)
);
}
upstreamPerio1
{
type cyclicGgi;
shadowPatch upstreamPerio2;
zone upstreamPerio1Zone;
bridgeOverlap false;
rotationAxis (0 0 1);
rotationAngle 36;
separationOffset (0 0 0);
faces
(
(8 9 13 12)
);
}
upstreamPerio2
{
type cyclicGgi;
shadowPatch upstreamPerio1;
zone upstreamPerio2Zone;
bridgeOverlap false;
rotationAxis (0 0 1);
rotationAngle -36;
separationOffset (0 0 0);
faces
(
(10 14 15 11)
);
}
upstreamMixingPlanePatch
{
type mixingPlane;
shadowPatch downstreamMixingPlanePatch;
zone upstreamMixingPlaneZone;
ribbonPatch
{
discretisation bothPatches;
sweepAxis Theta;
stackAxis Z;
}
coordinateSystem
{
type cylindrical;
origin (0 0 0);
axis (0 0 1);
direction (1 1 0);
}
faces
(
(8 12 14 10)
);
}
downstreamMixingPlanePatch
{
type mixingPlane;
shadowPatch upstreamMixingPlanePatch;
zone downstreamMixingPlaneZone;
coordinateSystem
{
type cylindrical;
origin (0 0 0);
axis (0 0 1);
direction (1 1 0);
}
faces
(
(1 3 7 5)
);
}
downstreamWall
{
type symmetryPlane;
faces
(
(0 2 3 1)
(4 5 7 6)
);
}
upstreamWall
{
type symmetryPlane;
faces
(
(13 15 14 12)
(8 10 11 9)
);
}
downstreamPerio1
{
type cyclicGgi;
shadowPatch downstreamPerio2;
zone downstreamPerio1Zone;
bridgeOverlap false;
rotationAxis (0 0 1);
rotationAngle 90;
separationOffset (0 0 0);
faces
(
(0 1 5 4)
);
}
downstreamPerio2
{
type cyclicGgi;
shadowPatch downstreamPerio1;
zone downstreamPerio2Zone;
bridgeOverlap false;
rotationAxis (0 0 1);
rotationAngle -90;
separationOffset (0 0 0);
faces
(
(2 6 7 3)
);
}
);
mergePatchPairs
(
);